Subject: Re: Virtual Link

From: Don Goodspeed <[email-masked]>
Date: Mon, 29 Jul 2002 14:57:45 -0400

My 2 cents...

Nowhere is section 15 of RFC2328 does it state that either endpoint
of the virtual link MUST be connected to the backbone area.  Further,
it does state that the purpose of a virtual-link is to establish/maintain
backbone connectivity.  In my mind, so long as each end-point is an ABR,
the virtual-link should be brought up, and associated with area 0.0.0.0.

In the case below, area 2 would then be used as the transit-area.

Of course, depending on the OSPF implementation, the router may
or may not become an ABR without area 0 being configured on
at least one interface (usually a loopback).  In this case, it's
merely a matter of setting up the virtual-adjacency when the
ABR bit toggle on and tearing it down when the bit is cleared
(on either end).

Have fun,
Don

 --- On Mon 07/29, praveendas e  wrote:
From: praveendas e [mailto: [email-masked]]
To: [email-masked]
Date: Mon, 29 Jul 2002 10:55:43 +0000
Subject: Re: Virtual Link

> Hai Amit
>
>      We know that vitual link are basically for the
> back bone connectivety. Now consider a scenirie where
> we have R1 connected to area 1 , area 2 ,area 3 and R2
> connected to area 2 and area 4 now if i want to
> configure a virtual link between R1 and R2 what should
> be the LSAs flowing over the virtual link.(As there in
> no back bone connectivety)
> Regards
> Amit
>
>   Your Scenario is looking like both routers are in disconnected area.If
> the
> routers are residing in non backbone area it is impossible to have a
> virtual
> link other than chainning of virtual link.For that you have to create a
> virtual link b/w R1 or R2 to the router in the backbone.
>
>     About the LSA's passing through this link is ,it will send all LSA's
> other than External LSA's passing through the backbone.
> Hope this help you ....
> Rgds
> Praveendas
>
> >From: Amit Srivastava
> >Reply-To: Mailing List
> >To: [email-masked]
> >Subject: Virtual Link
> >Date: Mon, 29 Jul 2002 02:10:51 -0700
> >
> >Hi All,
> >     We know that vitual link are basically for the
> >back bone connectivety. Now consider a scenirie where
> >we have R1 connected to area 1 , area 2 ,area 3 and R2
> >connected to area 2 and area 4 now if i want to
> >configure a virtual link between R1 and R2 what should
> >be the LSAs flowing over the virtual link.(As there in
> >no back bone connectivety)
> >Regards
> >Amit
> >
> >__________________________________________________
> >Do You Yahoo!?
> >Yahoo! Health - Feel better, live better
> >http://health.yahoo.com
>
>
>
>
> _________________________________________________________________
> Chat with friends online, try MSN Messenger: http://messenger.msn.com
>

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

---

From: Acee Lindem <[email-masked]>
Date: Mon, 29 Jul 2002 15:56:47 -0400

Don Goodspeed wrote:

> at least one interface (usually a loopback).

Don,

The virtual link itself "counts" as an OSPF interface so any router with
an active virtualy link is, by definition, connected to the backbone.

Thanks,
Acee

> In this case, it's

--
Acee

---

From: Amit Srivastava <[email-masked]>
Date: Mon, 29 Jul 2002 22:42:04 -0700

Hi All,
    I agree wih Don as we can have the virtual Link
configured between two ABRs even though they are not
connected to the backbone. It is also documented in
the Alternative ABR implementation document by ietf.
My doubt is that in this case the virtual Link will
come up but will there be any traffic flowing over the
virtual Link as i think only backbone traffice flows
over the virtual Link.
What do you Say Don and Acee
Regards
Amit

---

From: Acee Lindem <[email-masked]>
Date: Tue, 30 Jul 2002 02:15:04 -0400

Amit Srivastava wrote:

> connected to the backbone.

Hello Amit,

I agree that a virtual link can be "configured" without
a backbone connection.  However, the virtual link is a
backbone interface and once it is "active" both ABRs
will be connected to the backbone.

> It is also documented in

This is an informational draft.

> virtual Link as i think only backbone traffice flows

Actually, this is inaccurate. Backbone traffic may flow
over the transit area corresponding to the virtual link (refer
to section 16.3 in RFC 2328) - not necessarily the virtual link
itself. However, you are correct that the virtual link will only
be a factor in the route calculation for backbone traffic.

>>>Nowhere is section 15 of RFC2328 does it state
>>>
>>that either endpoint
>>
>>>of the virtual link MUST be connected to the
>>>
>>backbone area.  Further,
>>
>>>it does state that the purpose of a virtual-link
>>>
>>is to establish/maintain
>>
>>>backbone connectivity.  In my mind, so long as
>>>
>>each end-point is an ABR,
>>
>>>the virtual-link should be brought up, and
>>>
>>associated with area 0.0.0.0.
>>
>>>In the case below, area 2 would then be used as
>>>
>>the transit-area.
>>
>>>Of course, depending on the OSPF implementation,
>>>
>>the router may
>>
>>>or may not become an ABR without area 0 being
>>>
>>configured on
>>
>>>merely a matter of setting up the
>>>
>>virtual-adjacency when the
>>
>>>ABR bit toggle on and tearing it down when the bit
>>>
>>is cleared
>>
>>>(on either end).
>>>
>>>Have fun,
>>>Don
>>>
>>>From: praveendas e [mailto:
>>>
>>[email-masked]]
>>
>>>>    We know that vitual link are basically for
>>>>
>>the
>>
>>>>back bone connectivety. Now consider a scenirie
>>>>
>>where
>>
>>>>we have R1 connected to area 1 , area 2 ,area 3
>>>>
>>and R2
>>
>>>>configure a virtual link between R1 and R2 what
>>>>
>>should
>>
>>>>be the LSAs flowing over the virtual link.(As
>>>>
>>there in
>>
>>>> Your Scenario is looking like both routers are
>>>>
>>in disconnected area.If
>>
>>>>the
>>>>routers are residing in non backbone area it is
>>>>
>>impossible to have a
>>
>>>>virtual
>>>>link other than chainning of virtual link.For that
>>>>
>>you have to create a
>>
>>>>virtual link b/w R1 or R2 to the router in the
>>>>
>>backbone.
>>
>>>>   About the LSA's passing through this link is
>>>>
>>,it will send all LSA's
>>
>>>>other than External LSA's passing through the
>>>>
>>backbone.
>>
>>>>Hope this help you ....
>>>>Rgds
>>>>Praveendas
>>>>
>>>>
>>>>
>>>>>From: Amit Srivastava
>>>>>Reply-To: Mailing List
>>>>>   We know that vitual link are basically for
>>>>>
>>the
>>
>>>>>back bone connectivety. Now consider a scenirie
>>>>>
>>where
>>
>>>>>we have R1 connected to area 1 , area 2 ,area 3
>>>>>
>>and R2
>>
>>>>>configure a virtual link between R1 and R2 what
>>>>>
>>should
>>
>>>>>be the LSAs flowing over the virtual link.(As
>>>>>
>>there in
>>
>>>>Chat with friends online, try MSN Messenger:
>>>>
>>http://messenger.msn.com
>>
>>>>

--
Acee